bitset File Reference

Go to the source code of this file.

## Classes

struct | std::_Base_bitset< _Nw >
struct | std::_Base_bitset< 0 >
struct | std::_Base_bitset< 1 >
class | std::bitset< _Nb >
struct | std::hash<::bitset< _Nb > >
class | std::bitset< _Nb >::reference

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_BITSET
#define | _GLIBCXX_BITSET_BITS_PER_ULL
#define | _GLIBCXX_BITSET_BITS_PER_WORD
#define | _GLIBCXX_BITSET_WORDS(__n)

## Typedefs

template<typename _CharT>
using | std::__bitset::__string

## Functions

template<size_t _Nb>
constexpr bitset< _Nb > | std::operator& (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<size_t _Nb>
constexpr bitset< _Nb > | std::operator^ (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<size_t _Nb>
constexpr bitset< _Nb > | std::operator| (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<class _CharT, class _Traits, size_t _Nb>
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const bitset< _Nb > &__x)
template<class _CharT, class _Traits, size_t _Nb>
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &__is, bitset< _Nb > &__x)

## Detailed Description

This is a Standard C++ Library header.

Definition in file bitset.

## Macro Definition Documentation

## _GLIBCXX_BITSET

#define _GLIBCXX_BITSET

Definition at line 43 of file bitset.

## _GLIBCXX_BITSET_BITS_PER_ULL

#define _GLIBCXX_BITSET_BITS_PER_ULL

Definition at line 66 of file bitset.

## _GLIBCXX_BITSET_BITS_PER_WORD

#define _GLIBCXX_BITSET_BITS_PER_WORD

Definition at line 61 of file bitset.

## _GLIBCXX_BITSET_WORDS

#define _GLIBCXX_BITSET_WORDS | ( |  | __n | ) |

Definition at line 62 of file bitset.

## Typedef Documentation

## __string

template<typename _CharT>

using std::__bitset::__string

Definition at line 705 of file bitset.